Package ru.bitel.oss.systems.inventory.service.common.bean

# Class ServiceSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.service.common.bean.ServiceSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<ServiceSpec>`, `TreeNode<ServiceSpec>`

public class ServiceSpec extends Entity implements Node<ServiceSpec>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ServiceSpec>`
  `getChildren()`
  `String`
  `getComment()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `String`
  `getDescription()`
  `String`
  `getIdentifier()`
  `int`
  `getModuleId()`
  `int`
  `getParentId()`
  `void`
  `setChildren(List<ServiceSpec> children)`
  `void`
  `setComment(String comment)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDescription(String description)`
  `void`
  `setIdentifier(String name)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setParentId(int parentId)`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ServiceSpec

    public ServiceSpec()

- ## Method Details

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<ServiceSpec>`

  - ### setParentId

    public void setParentId(int parentId)

  - ### getChildren

    public List<ServiceSpec> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<ServiceSpec>`

  - ### setChildren

    public void setChildren(List<ServiceSpec> children)
    Specified by:
      `setChildren` in interface `Node<ServiceSpec>`

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public void setIdentifier(String name)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)